// Font Awesome
@import "../../../bower_components/font-awesome/less/font-awesome";

// TwBS
@import "../../../bower_components/bootstrap/less/variables";
@import "variables";

@screen-sm: 1024px;
@screen-md: 1248px;
@screen-lg: 1456px;

@import "../../../bower_components/bootstrap/less/mixins";

// Reset
@import "../../../bower_components/bootstrap/less/normalize";
@import "../../../bower_components/bootstrap/less/print";

// Core CSS
@import "../../../bower_components/bootstrap/less/scaffolding";
@import "../../../bower_components/bootstrap/less/type";
//@import "../../../bower_components/bootstrap/less/code";
@import "../../../bower_components/bootstrap/less/grid";
@import "../../../bower_components/bootstrap/less/tables";
@import "../../../bower_components/bootstrap/less/forms";
@import "../../../bower_components/bootstrap/less/buttons";

// Components
@import "../../../bower_components/bootstrap/less/component-animations";
//@import "../../../bower_components/bootstrap/less/glyphicons";
@import "../../../bower_components/bootstrap/less/dropdowns";
@import "../../../bower_components/bootstrap/less/button-groups";
@import "../../../bower_components/bootstrap/less/input-groups";
@import "../../../bower_components/bootstrap/less/navs";
@import "../../../bower_components/bootstrap/less/navbar";
//@import "../../../bower_components/bootstrap/less/breadcrumbs";
//@import "../../../bower_components/bootstrap/less/pagination";
//@import "../../../bower_components/bootstrap/less/pager";
@import "../../../bower_components/bootstrap/less/labels";
@import "../../../bower_components/bootstrap/less/badges";
//@import "../../../bower_components/bootstrap/less/jumbotron";
//@import "../../../bower_components/bootstrap/less/thumbnails";
@import "../../../bower_components/bootstrap/less/alerts";
//@import "../../../bower_components/bootstrap/less/progress-bars";
//@import "../../../bower_components/bootstrap/less/media";
@import "../../../bower_components/bootstrap/less/list-group";
@import "../../../bower_components/bootstrap/less/panels";
//@import "../../../bower_components/bootstrap/less/wells";
@import "../../../bower_components/bootstrap/less/close";

// Components w/ JavaScript
@import "../../../bower_components/bootstrap/less/modals";
@import "../../../bower_components/bootstrap/less/tooltip";
//@import "../../../bower_components/bootstrap/less/popovers";
//@import "../../../bower_components/bootstrap/less/carousel";

// Utility classes
@import "../../../bower_components/bootstrap/less/utilities";
@import "../../../bower_components/bootstrap/less/responsive-utilities";


@import "scrollbar";
@import "buttons";
@import "dock";
@import "issue";
@import "column";
@import "navbar";
@import "panel";
@import "form";
@import "dragndrop";
@import "angular";
@import "avatar";
@import "labels";
@import "modal";

body {
  .custom-scrollbar(5px, @panel-footer-bg, @panel-default-border);
}

body, a, a:active, a:visited, a:hover {
  color: @text-color;
}

h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
}

.bold {
  font-weight: bold!important;
}

.main {
  background-color: @navbar-default-bg;
  position: absolute;
  top: 50px;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: auto;

  .content {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px 15px;
    overflow: auto;
  }

  .alert {
    border-top: none;
  }
}

.login {
  margin: 15px auto;
  width: 50%;

  .nav-pills {
    margin-bottom: 5px;
  }
}

.spinner-container {
  width: 80px;
  text-align: center;
  margin: 15px auto;

  .fa-spinner {
    .fa-5x;

    float: none;
  }
}

.avatar {
  border-radius: 50%;
}

.alert {
  .fa {
    float: left;
    margin-right: 15px;
  }
}

.modal-body {
  .form-control-feedback {
    top: 0;
  }
}

.user-card {
  text-align: center;
  cursor: pointer;
  padding: 5px;

  &:hover, &.in {
    background-color: fade(@panel-default-border, 30%);
  }

  p {
    text-align: center;
    padding-top: 5px;
  }
}

#overlay {
  z-index: @zindex-dropdown + 50!important;
  opacity: 0.5;

  + div {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: auto;
    overflow-y: scroll;
    z-index: @zindex-dropdown + 50!important;
  }
}

pre, code {
  background-color: @gray-lighter;
  padding: 2px;
}

pre {
  padding: 5px;
}

.reference {
  text-decoration: underline;
}
